<template>
    <section class="portfolio-content relative w-full flex flex-wrap justify-center gap-12 px-12 pb-12 md:p-12">

        <!-- Pour chaque item du portfolio, on appelle le composant PortfolioBloc pour générer son bloc -->
        <PortfolioBloc
            v-for="(item, index) in data"
            :key="index"
            :index="index + 1"
            :type="item.type"
            :title="item.title"
            :client="item.client"
            :informations="item.informations"
            :otherprojects="item.otherProjects"
        />
    </section>
</template>

<script>

// Importation du plugin GSAP (pour les animations)
import { gsap } from "gsap";

export default {

    // Nom du composant
    name: 'PortfolioContent',

    // Données en paramètres du composant
    props: {
        data: { type: Array, default: () => { } }
    },

    // Données du composant
    data() {
        return {
            // data
        }
    },

    // Script à éxécuter au chargement du composant
    mounted() {
        // mounted
    },

    // Initialisation des injections et de la réactivité
    created() {
        // created
    },

    // Méthodes du composant
    methods: {
        // methods
    }
}

</script>
